Results 1 to 2 of 2

Thread: [SOLVED] Xorg macros missing

  1. #1

    Default [SOLVED] Xorg macros missing

    Hello,

    I am hoping that I am posting in the correct forum. I am trying to compile xf86-video-intel drivers from source (from the upstream git repository)
    only to get ths error

    Code:
    guraltsev@halen.uraltsev:/home/guraltsev/admin/distrib/xf86-video-intel$ git:(master) ./autogen.sh --prefix=/usr
    autoreconf: Entering directory `.'
    autoreconf: configure.ac: not using Gettext
    autoreconf: running: aclocal ${ACLOCAL_FLAGS} -I m4
    configure.ac:38: error: must install xorg-macros 1.8 or later before running autoconf/autogen.
      Hint: either install from source, git://anongit.freedesktop.org/xorg/util/macros or,
      depending on you distribution, try package 'xutils-dev' or 'xorg-x11-util-macros'
    configure.ac:38: the top level
    autom4te: /usr/bin/m4 failed with exit status: 1
    aclocal: error: echo failed with exit status: 1
    autoreconf: aclocal failed with exit status: 1
    to make bumblebee work on my laptop. I am following this guide http://www.unixreich.com/blog/2013/l...inally-solved/

    What packages am I missing?

  2. #2

    Default Re: [SOLVED] Xorg macros missing

    After hours of searching I found that what I needed was the package

    Code:
    util-macros-devel
    further down the road I needed to install

    Code:
     xorg-x11-server-sdk
    that pulls in quite some stuff.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •